"""TMP - Args Schemas in TaskV2

Revision ID: a6231ed6273c
Revises: 56af171b0159
Create Date: 2024-03-26 08:49:51.870087

"""
import sqlalchemy as sa
from alembic import op
from sqlalchemy.dialects import sqlite

# revision identifiers, used by Alembic.
revision = "a6231ed6273c"
down_revision = "56af171b0159"
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("taskv2", schema=None) as batch_op:
        batch_op.add_column(
            sa.Column("args_schema_non_parallel", sa.JSON(), nullable=True)
        )
        batch_op.add_column(
            sa.Column("args_schema_parallel", sa.JSON(), nullable=True)
        )
        batch_op.drop_column("args_schema")

    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table("taskv2", schema=None) as batch_op:
        batch_op.add_column(
            sa.Column("args_schema", sqlite.JSON(), nullable=True)
        )
        batch_op.drop_column("args_schema_parallel")
        batch_op.drop_column("args_schema_non_parallel")

    # ### end Alembic commands ###
